import DataLoader from 'dataloader';
import type { PoolClient } from 'pg';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetAllAdminBusinessesResult, IUpdateAdminBusinessesParams, IUpdateAdminBusinessesResult } from '../types.js';
export declare class AdminBusinessesProvider {
    private db;
    constructor(db: TenantAwareDBClient);
    private batchAdminBusinessesByIds;
    getAdminBusinessByIdLoader: DataLoader<string, import("../types.js").IGetAdminBusinessesByIdsResult | undefined, string>;
    private allAdminBusinessesPromise;
    getAllAdminBusinesses(): Promise<IGetAllAdminBusinessesResult[]>;
    insertAdminBusiness(id: string, client?: PoolClient): Promise<void>;
    updateAdminBusiness(params: IUpdateAdminBusinessesParams): Promise<IUpdateAdminBusinessesResult>;
    clearCache(): void;
}
